Summary: Applet to select the default ALSA sound card
Name: asoundconf-gtk
Version: 1.6
Release: %mkrel 1
Packager: Agent Smith <ruidobranco@yahoo.com.br>
License: GPL
Group: Sound
URL: https://code.launchpad.net/asoundconf-ui
Requires: asoundconf
BuildRequires: python2-rpm-macros
#http://packages.ubuntu.com/ru/source/gutsy/asoundconf-gtk
Source0: %name-%version.tar.xz
Patch0: asoundconf-gtk_1.6-0ubuntu1.diff.gz
BuildArch: noarch

%description
Based on asoundconf code, but as a GTK+ front-end.
 Useful if you have two cards, and switch between the two.
 There is already this functionality in GNOME, but this is
 indeed useful if you do not use that desktop environment,
 and asoundconf-gtk also supports PulseAudio toggling.

%prep
%setup -q
%patch0 -p1

%build

%install
install -d ${RPM_BUILD_ROOT}%_bindir
install -m755 asoundconf-gtk/asoundconf-gtk ${RPM_BUILD_ROOT}%_bindir/

# installing debian man pages
install -d ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -m644 debian/asoundconf-gtk.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

install -d ${RPM_BUILD_ROOT}%_desktopdir
install -m644 asoundconf-gtk.desktop ${RPM_BUILD_ROOT}%_desktopdir/


%clean

rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files 
%_bindir/asoundconf-gtk
%{_mandir}/man8/asoundconf-gtk.8*
%_desktopdir/asoundconf-gtk.desktop

%changelog
* Fri Feb 02 2018 Agent Smith <ruidobranco@yahoo.com.br> 1.6-1pclos2018
- Created package asoundconf-gtk-1.6-1pclos2018

